#import this for eBay and Amazon use
from .utils import get_element_by_tag
from xml.dom.minidom import parseString

class BaseInterface(object):
   
    _account = None

    def getImgUrl(self,**args):
        '''
        @param **args: 
            {'itemID':itemID}
            {'type':type,'id':[id]}
        '''
        pass
    
    def uploadTrack(self,submit_list):
        pass
    
    def listOrders(self,**args):
        '''
        @param **args: 
            {'timeFrom':timeFrom,'timeTo':timeTo,'Pagenumber':Pagenumber,'PerPage':PerPage,'OrderRole':OrderRole,'OrderStatus':OrderStatus,'DetailLevel':DetailLevel}
            {'created_after':created_after,'created_before':created_before,'lastupdatedafter':lastupdatedafter,'lastupdatedbefore':lastupdatedbefore,'orderstatus':orderstatus,'fulfillment_channels':fulfillment_channels,'payment_methods':payment_methods,'buyer_email':buyer_email,'seller_orderid':seller_orderid,'PerPage':PerPage
            }
        '''
        pass
    
    def getOrder(self,**args):
        '''
        @param **args: 
            {'OrderIDS':OrderIDS}
            {'amazon_order_ids':amazon_order_ids}
        '''
        pass
    
    def getToken(self,**args):
        '''
        @param **args: 
            {'SessionID':SessionID}
            {'MWSAuthToken':MWSAuthToken}
        '''
        pass
    
    def getTokenUrl(self,**args):
        '''
        @param **args: 
            {'SessionID':SessionID}
        '''
        pass
    
    def getSessionId(self,args):
        pass
    
    def listOrdersMore(self,**args):
        '''
        @param **args: 
            {'token':token}
        '''
        pass
    
    def listOrderItems(self,**args):
        '''
        @param **args:
            {'amazon_order_id':amazon_order_id} 
        '''
        pass
    
    def listOrderItemsMore(self,**args):
        pass
    pass